# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88.0"
name = "puniyu_handler_command"
version = "0.8.2"
authors = ["wuliya <3369906077@qq.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "puniyu 命令处理器，统一命令匹配、权限检查与执行分发流程"
homepage = "https://github.com/puniyu/puniyu"
readme = "README.md"
license = "LGPL-3.0-only"
repository = "https://github.com/puniyu/puniyu"
resolver = "2"

[lib]
name = "puniyu_handler_command"
path = "src/lib.rs"

[[test]]
name = "handler"
path = "tests/handler.rs"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.itertools]
version = "0.14.0"

[dependencies.log]
version = "0.4.28"

[dependencies.puniyu_command]
version = "0.8.2"
features = ["registry"]

[dependencies.puniyu_command_parser]
version = "0.8.2"

[dependencies.puniyu_config]
version = "0.8.1"

[dependencies.puniyu_context]
version = "0.8.2"

[dependencies.puniyu_cooldown]
version = "0.8.2"

[dependencies.puniyu_element]
version = "0.8.1"

[dependencies.puniyu_error]
version = "0.8.1"
features = ["registry"]
default-features = false

[dependencies.puniyu_event]
version = "0.8.2"

[dependencies.puniyu_handler]
version = "0.8.2"

[dependencies.puniyu_logger]
version = "0.7.5"

[dependencies.puniyu_message]
version = "0.8.1"

[dependencies.puniyu_plugin_core]
version = "0.8.2"
features = ["registry"]

[dev-dependencies.async-trait]
version = "0.1.89"

[dev-dependencies.bytes]
version = "1.11.1"

[dev-dependencies.puniyu_account]
version = "0.8.1"

[dev-dependencies.puniyu_adapter_types]
version = "0.8.3"

[dev-dependencies.puniyu_bot]
version = "0.8.2"

[dev-dependencies.puniyu_contact]
version = "0.8.1"

[dev-dependencies.puniyu_runtime]
version = "0.8.2"

[dev-dependencies.puniyu_sender]
version = "0.8.1"

[dev-dependencies.tokio]
version = "1.47.1"
features = [
    "macros",
    "rt-multi-thread",
]
